function dYfuncvecdV = ODEfun(V,Yfuncvec); 
Ta = Yfuncvec(1); 
T = Yfuncvec(2); 
X = Yfuncvec(3); 
% Explicit equations
Cao = 9.3; 
k = 31.1 * exp(7906 * (T - 360) / (T * 360)); 
Kc = 3.03 * exp(-830.3 * (T - 333) / (T * 333)); 
ra = 0 - (k * Cao * (1 - ((1 + 1 / Kc) * X))); 
Xe = Kc / (1 + Kc); 
CPo = 159; 
dH = -6900; 
FAo = 14.67; 
UA = 0; 
m = 500; 
Cpc = 28; 
% Differential equations
dTadV = 5000 * (T - Ta) / 14000; 
dTdV = (ra * dH - (UA * (T - Ta))) / (CPo * FAo); 
dXdV = 0 - (ra / FAo); 
dYfuncvecdV = [dTadV; dTdV; dXdV]; 