clear
clc
close all
Vspan = [0 5]; % Range for the independent variable i.e. volume of the reactor
y0 = [310; 305; 0]; % Initial values for the dependent variables i.e Ta,T,and X

[v y]=ode45(@ODEfun,Vspan,y0);
z=size(y);
for i=1 : z(1,1)
    % Calculating the values of Xe from the following expressions
Kc(i)=3.03*exp(-830.3*(y(i,2)-333)/(y(i,2)*333));
Xe(i)=Kc(i)/(1+Kc(i));

end
plot(v,y(:,3),v,Xe);
legend('X','Xe')
ylabel('X');
xlabel('V(m^3)');
title('Conversion profile down the adiabatic reactor')


